[![pipeline status](https://gitlab.conarx.tech/containers/docker/badges/main/pipeline.svg)](https://gitlab.conarx.tech/containers/docker/-/commits/main)

# Container Information

[Container Source](https://gitlab.conarx.tech/containers/docker) - [GitHub Mirror](https://github.com/AllWorldIT/containers-docker)

This is the Conarx Containers Docker image, it provides the Docker CLI tool for building containers along with the `docker-squash`
utility.



# Mirrors

|  Provider  |  Repository                            |
|------------|----------------------------------------|
| DockerHub  | allworldit/docker                      |
| Conarx     | registry.conarx.tech/containers/docker |



# Conarx Containers

All our Docker images are part of our Conarx Containers product line. Images are generally based on Alpine Linux and track the
Alpine Linux major and minor version in the format of `vXX.YY`.

Images built from source track both the Alpine Linux major and minor versions in addition to the main software component being
built in the format of `vXX.YY-AA.BB`, where `AA.BB` is the main software component version.

Our images are built using our Flexible Docker Containers framework which includes the below features...

- Flexible container initialization and startup
- Integrated unit testing
- Advanced multi-service health checks
- Native IPv6 support for all containers
- Debugging options



# Community Support

Please use the project [Issue Tracker](https://gitlab.conarx.tech/containers/docker/-/issues).



# Commercial Support

Commercial support for all our Docker images is available from [Conarx](https://conarx.tech).

We also provide consulting services to create and maintain Docker images to meet your exact needs.



# Environment Variables

Additional environment variables are available from...
* [Conarx Containers Alpine image](https://gitlab.conarx.tech/containers/alpine)
